rubyext.c File Reference
`#include "ruby/ruby.h"`
`#include "ruby/encoding.h"`
`#include "syck.h"`
`#include <sys/types.h>`
`#include <time.h>`

Go to the source code of this file.

## Data Structures

struct | RVALUE
struct | bytestring_t
struct | parser_xtra
struct | emitter_xtra
struct | mktime_arg

## Macros

#define | RUBY_DOMAIN "ruby.yaml.org,2002"

## Typedefs

typedef struct RVALUE | RVALUE

## Functions

static double | S_zero (void)
static double | S_one (void)
static double | S_inf (void)
static double | S_nan (void)
static VALUE | syck_node_transform (VALUE)
SYMID rb_syck_load_handler | _ ((SyckParser *, SyckNode *))
void rb_syck_err_handler | _ ((SyckParser *, const char *))
SyckNode *rb_syck_bad_anchor_handler | _ ((SyckParser *, char *))
void rb_syck_output_handler | _ ((SyckEmitter *, char *, long))
void rb_syck_emitter_handler | _ ((SyckEmitter *, st_data_t))
int syck_parser_assign_io | _ ((SyckParser *, VALUE *))
VALUE syck_scalar_alloc | _ ((VALUE class))
VALUE | rb_syck_compile (VALUE self, VALUE port)
long | rb_syck_io_str_read (char *buf, SyckIoStr *str, long max_size, long skip)
int | syck_parser_assign_io (SyckParser *parser, VALUE *pport)
VALUE | syck_get_hash_aref (VALUE hsh, VALUE key)
VALUE | mktime_do (VALUE varg)
VALUE | mktime_r (VALUE varg)
VALUE | rb_syck_mktime (const char *str, long len)
VALUE | syck_merge_i (VALUE entry, VALUE hsh)
int | yaml_org_handler (SyckNode *n, VALUE *ref)
static void | syck_node_mark (SyckNode *n)
SYMID | rb_syck_load_handler (SyckParser *p, SyckNode *n)
void | rb_syck_err_handler (SyckParser *p, const char *msg)
SyckNode * | rb_syck_bad_anchor_handler (SyckParser *p, char *a)
void | syck_set_model (VALUE p, VALUE input, VALUE model)
static int | syck_st_mark_nodes (char *key, SyckNode *n, char *arg)
static void | syck_mark_parser (SyckParser *parser)
void | rb_syck_free_parser (SyckParser *p)
VALUE syck_parser_s_alloc | _ ((VALUE))
VALUE | syck_parser_s_alloc (VALUE class)
static VALUE | syck_parser_initialize (int argc, VALUE *argv, VALUE self)
static VALUE | syck_parser_bufsize_set (VALUE self, VALUE size)
static VALUE | syck_parser_bufsize_get (VALUE self)
VALUE | syck_parser_load (int argc, VALUE *argv, VALUE self)
VALUE | syck_parser_load_documents (int argc, VALUE *argv, VALUE self)
VALUE | syck_parser_set_resolver (VALUE self, VALUE resolver)
static VALUE | syck_resolver_initialize (VALUE self)
VALUE | syck_resolver_add_type (VALUE self, VALUE taguri, VALUE cls)
VALUE | syck_resolver_use_types_at (VALUE self, VALUE hsh)
VALUE | syck_resolver_detect_implicit (VALUE self, VALUE val)
VALUE | syck_resolver_node_import (VALUE self, VALUE node)
VALUE | syck_set_ivars (VALUE vars, VALUE obj)
VALUE | syck_const_find (VALUE const_name)
VALUE | syck_resolver_transfer (VALUE self, VALUE type, VALUE val)
VALUE | syck_resolver_tagurize (VALUE self, VALUE val)
VALUE | syck_defaultresolver_detect_implicit (VALUE self, VALUE val)
VALUE | syck_defaultresolver_node_import (VALUE self, VALUE node)
VALUE | syck_genericresolver_node_import (VALUE self, VALUE node)
VALUE | syck_badalias_initialize (VALUE self, VALUE val)
VALUE | syck_badalias_cmp (VALUE alias1, VALUE alias2)
VALUE | syck_domaintype_initialize (VALUE self, VALUE domain, VALUE type_id, VALUE val)
VALUE | syck_yobject_initialize (VALUE self, VALUE klass, VALUE ivars)
VALUE | syck_privatetype_initialize (VALUE self, VALUE type_id, VALUE val)
VALUE | syck_scalar_alloc (VALUE class)
VALUE | syck_scalar_initialize (VALUE self, VALUE type_id, VALUE val, VALUE style)
VALUE | syck_scalar_style_set (VALUE self, VALUE style)
VALUE | syck_scalar_value_set (VALUE self, VALUE val)
VALUE | syck_seq_alloc (VALUE class)
VALUE | syck_seq_initialize (VALUE self, VALUE type_id, VALUE val, VALUE style)
VALUE | syck_seq_value_set (VALUE self, VALUE val)
VALUE | syck_seq_add_m (VALUE self, VALUE val)
VALUE | syck_seq_style_set (VALUE self, VALUE style)
VALUE | syck_map_alloc (VALUE class)
VALUE | syck_map_initialize (VALUE self, VALUE type_id, VALUE val, VALUE style)
VALUE | syck_map_value_set (VALUE self, VALUE val)
VALUE | syck_map_add_m (VALUE self, VALUE key, VALUE val)
VALUE | syck_map_style_set (VALUE self, VALUE style)
VALUE | syck_node_type_id_set (VALUE self, VALUE type_id)
void | rb_syck_emitter_handler (SyckEmitter *e, st_data_t data)
void | rb_syck_output_handler (SyckEmitter *emitter, char *str, long len)
void | syck_out_mark (VALUE emitter, VALUE node)
static void | syck_mark_emitter (SyckEmitter *emitter)
void | rb_syck_free_emitter (SyckEmitter *e)
VALUE | syck_emitter_s_alloc (VALUE class)
static VALUE | id_hash_new (void)
VALUE | syck_emitter_reset (int argc, VALUE *argv, VALUE self)
VALUE | syck_emitter_emit (int argc, VALUE *argv, VALUE self)
VALUE | syck_emitter_node_export (VALUE self, VALUE node)
VALUE | syck_emitter_set_resolver (VALUE self, VALUE resolver)
VALUE | syck_out_initialize (VALUE self, VALUE emitter)
VALUE | syck_out_map (int argc, VALUE *argv, VALUE self)
VALUE | syck_out_seq (int argc, VALUE *argv, VALUE self)
VALUE | syck_out_scalar (int argc, VALUE *argv, VALUE self)
void | Init_syck ()

## Variables

static ID | s_new
static ID | s_utc
static ID | s_at
static ID | s_to_f
static ID | s_to_i
static ID | s_read
static ID | s_binmode
static ID | s_call
static ID | s_cmp
static ID | s_transfer
static ID | s_update
static ID | s_dup
static ID | s_haskey
static ID | s_match
static ID | s_keys
static ID | s_unpack
static ID | s_tr_bang
static ID | s_default_set
static ID | s_tag_read_class
static ID | s_tag_subclasses
static ID | s_resolver
static ID | s_push
static ID | s_emitter
static ID | s_level
static ID | s_detect_implicit
static ID | s_node_import
static ID | s_out
static ID | s_input
static ID | s_intern
static ID | s_transform
static ID | s_yaml_new
static ID | s_yaml_initialize
static ID | s_node_export
static ID | s_to_yaml
static ID | s_write
static ID | s_set_resolver
static ID | s_each
static ID | s_tags
static ID | s_kind
static ID | s_name
static ID | s_options
static ID | s_type_id
static ID | s_type_id_set
static ID | s_style
static ID | s_style_set
static ID | s_value
static ID | s_value_set
static ID | s_parse
static VALUE | sym_model
static VALUE | sym_generic
static VALUE | sym_input
static VALUE | sym_bytecode
static VALUE | sym_scalar
static VALUE | sym_seq
static VALUE | sym_map
static VALUE | sym_1quote
static VALUE | sym_2quote
static VALUE | sym_fold
static VALUE | sym_literal
static VALUE | sym_plain
static VALUE | sym_inline
static VALUE | cDate
static VALUE | cNode
static VALUE | cMap
static VALUE | cSeq
static VALUE | cScalar
static VALUE | cOut
static VALUE | cParser
static VALUE | cResolver
static VALUE | cPrivateType
static VALUE | cDomainType
static VALUE | cYObject
static VALUE | cBadAlias
static VALUE | cDefaultKey
static VALUE | cMergeKey
static VALUE | cEmitter
static VALUE | cDateTime
static VALUE | oDefaultResolver
static VALUE | oGenericResolver

## Macro Definition Documentation

#define RUBY_DOMAIN "ruby.yaml.org,2002"

Definition at line 47 of file rubyext.c.

## Typedef Documentation

typedef struct RVALUE RVALUE

## Function Documentation

SYMID rb_syck_load_handler _ | ( | (SyckParser *, SyckNode *) |  | ) |

void rb_syck_err_handler _ | ( | (SyckParser *, const char *) |  | ) |

SyckNode* rb_syck_bad_anchor_handler _ | ( | (SyckParser *, char *) |  | ) |

void rb_syck_output_handler _ | ( | (SyckEmitter *, char *, long) |  | ) |

void rb_syck_emitter_handler _ | ( | (SyckEmitter *, st_data_t) |  | ) |

int syck_parser_assign_io _ | ( | (SyckParser *, VALUE *) |  | ) |

VALUE syck_map_alloc _ | ( | (VALUE class) |  | ) |

static VALUE ip_alloc _ | ( | (VALUE) |  | ) |

static VALUE id_hash_new | ( | void |  | ) |

static

Definition at line 1947 of file rubyext.c.

References hash(), rb_funcall(), rb_hash_new(), and rb_intern.

Referenced by syck_emitter_reset().

void Init_syck | ( |  | ) |

Definition at line 2117 of file rubyext.c.

References cBadAlias, cDefaultKey, cDomainType, cEmitter, cMap, cMergeKey, cNode, cOut, cParser, cPrivateType, cResolver, cScalar, cSeq, cYObject, ID2SYM, oDefaultResolver, oGenericResolver, rb_cObject, rb_const_get(), rb_define_alloc_func(), rb_define_attr(), rb_define_class_under(), rb_define_const(), rb_define_method(), rb_define_module_function(), rb_define_module_under(), rb_define_singleton_method(), rb_funcall(), rb_global_variable(), rb_include_module(), rb_intern, rb_syck_compile(), rb_undef(), s_at, s_binmode, s_call, s_cmp, s_default_set, s_detect_implicit, s_dup, s_each, s_emitter, s_haskey, s_input, s_intern, s_keys, s_kind, s_level, s_match, s_name, s_new, s_node_export, s_node_import, s_options, s_out, s_parse, s_push, s_read, s_resolver, s_set_resolver, s_style, s_style_set, s_tag_read_class, s_tag_subclasses, s_tags, s_to_f, s_to_i, s_to_yaml, s_tr_bang, s_transfer, s_transform, s_type_id, s_type_id_set, s_unpack, s_update, s_utc, s_value, s_value_set, s_write, s_yaml_initialize, s_yaml_new, syck_badalias_cmp(), syck_badalias_initialize(), syck_defaultresolver_detect_implicit(), syck_defaultresolver_node_import(), syck_domaintype_initialize(), syck_emitter_emit(), syck_emitter_node_export(), syck_emitter_reset(), syck_emitter_s_alloc(), syck_emitter_set_resolver(), syck_genericresolver_node_import(), syck_map_add_m(), syck_map_alloc(), syck_map_initialize(), syck_map_style_set(), syck_map_value_set(), syck_node_transform(), syck_node_type_id_set(), syck_out_initialize(), syck_out_map(), syck_out_scalar(), syck_out_seq(), syck_parser_bufsize_get(), syck_parser_bufsize_set(), syck_parser_initialize(), syck_parser_load(), syck_parser_load_documents(), syck_parser_s_alloc(), syck_parser_set_resolver(), syck_privatetype_initialize(), syck_resolver_add_type(), syck_resolver_detect_implicit(), syck_resolver_initialize(), syck_resolver_node_import(), syck_resolver_tagurize(), syck_resolver_transfer(), syck_resolver_use_types_at(), syck_scalar_alloc(), syck_scalar_initialize(), syck_scalar_style_set(), syck_scalar_value_set(), syck_seq_add_m(), syck_seq_alloc(), syck_seq_initialize(), syck_seq_style_set(), syck_seq_value_set(), syck_yobject_initialize(), sym_1quote, sym_2quote, sym_bytecode, sym_fold, sym_generic, sym_inline, sym_literal, sym_map, sym_model, sym_plain, sym_scalar, and sym_seq.

VALUE mktime_do | ( | VALUE | varg | ) |

Definition at line 216 of file rubyext.c.

References arg, INT2FIX, ISDIGIT, mktime_arg::len, len, LONG2FIX, LONG2NUM, MEMCPY, min(), NULL, rb_cTime, rb_funcall(), s_at, s_to_i, s_utc, mktime_arg::str, strtol(), and time_t.

Referenced by rb_syck_mktime().

VALUE mktime_r | ( | VALUE | varg | ) |

Definition at line 325 of file rubyext.c.

References arg, cDateTime, mktime_arg::len, rb_cObject, rb_const_get(), rb_funcall(), rb_intern, rb_require(), rb_str_new(), s_parse, and mktime_arg::str.

Referenced by rb_syck_mktime().

SyckNode* rb_syck_bad_anchor_handler | ( | SyckParser * | p,
|  | char * | a
| ) |  |

Definition at line 694 of file rubyext.c.

References rb_str_new2(), syck_new_map(), syck_strndup(), and _syck_node::type_id.

Referenced by syck_set_model().

VALUE rb_syck_compile | ( | VALUE | self,
|  | VALUE | port
| ) |  |

Definition at line 100 of file rubyext.c.

References bytestring_t::buffer, NULL, OBJ_TAINT, rb_eSyntaxError, rb_raise(), rb_str_new2(), S_ALLOCA_N, strlen(), syck_free_parser(), syck_lookup_sym(), syck_new_parser(), syck_parse(), syck_parser_assign_io(), syck_parser_error_handler(), syck_parser_handler(), syck_parser_implicit_typing(), syck_parser_taguri_expansion(), syck_yaml2byte_handler(), and SYMID.

Referenced by Init_syck().

void rb_syck_emitter_handler | ( | SyckEmitter * | e,
|  | st_data_t | data
| ) |  |

Definition at line 1830 of file rubyext.c.

References _syck_node::data, Data_Get_Struct, i, _syck_node::kind, _syck_node::list, map_key, map_value, _syck_node::pairs, _syck_node::str, syck_emit_end(), syck_emit_item(), syck_emit_map(), syck_emit_scalar(), syck_emit_seq(), syck_map_kind, syck_map_read(), syck_seq_kind, syck_seq_read(), syck_str_kind, and _syck_node::type_id.

Referenced by syck_emitter_s_alloc().

void rb_syck_err_handler | ( | SyckParser * | p,
|  | const char * | msg
| ) |  |

Definition at line 675 of file rubyext.c.

References _syck_parser::cursor, _syck_parser::linect, _syck_parser::lineptr, PRIdPTRDIFF, rb_eArgError, and rb_raise().

Referenced by syck_set_model().

void rb_syck_free_emitter | ( | SyckEmitter * | e | ) |

Definition at line 1919 of file rubyext.c.

References _syck_emitter::bonus, S_FREE, and syck_free_emitter().

Referenced by syck_emitter_s_alloc().

void rb_syck_free_parser | ( | SyckParser * | p | ) |

Definition at line 769 of file rubyext.c.

References _syck_parser::bonus, S_FREE, and syck_free_parser().

Referenced by syck_parser_s_alloc().

long rb_syck_io_str_read | ( | char * | buf,
|  | SyckIoStr * | str,
|  | long | max_size,
|  | long | skip
| ) |  |

Definition at line 137 of file rubyext.c.

References ASSERT, len, LONG2NUM, NIL_P, NULL, _syck_str::ptr, rb_funcall2(), RSTRING_LEN, RSTRING_PTR, s_read, and StringValue.

Referenced by syck_parser_assign_io().

SYMID rb_syck_load_handler | ( | SyckParser * | p,
|  | SyckNode * | n
| ) |  |

Definition at line 639 of file rubyext.c.

References _syck_parser::bonus, cNode, parser_xtra::data, Data_Wrap_Struct, _syck_node::id, if(), INT2FIX, MEMCPY, MEMZERO, NIL_P, NULL, OBJ_TAINT, oDefaultResolver, parser_xtra::proc, Qnil, rb_funcall(), rb_hash_aset(), parser_xtra::resolver, RHASH_SIZE, s_call, s_node_import, and parser_xtra::taint.

Referenced by syck_set_model().

VALUE rb_syck_mktime | ( | const char * | str,
|  | long | len
| ) |  |

Definition at line 340 of file rubyext.c.

References mktime_arg::len, len, mktime_do(), mktime_r(), NULL, rb_eArgError, rb_rescue2(), and mktime_arg::str.

Referenced by yaml_org_handler().

void rb_syck_output_handler | ( | SyckEmitter * | emitter,
|  | char * | str,
|  | long | len
| ) |  |

Definition at line 1874 of file rubyext.c.

References _syck_emitter::bonus, if(), emitter_xtra::port, rb_io_write(), rb_str_cat(), rb_str_new(), T_STRING, and TYPE.

Referenced by syck_emitter_s_alloc().

static double S_inf | ( | void |  | ) |

static

Definition at line 65 of file rubyext.c.

References S_one(), and S_zero().

Referenced by yaml_org_handler().

static double S_nan | ( | void |  | ) |

static

Definition at line 66 of file rubyext.c.

References S_zero().

Referenced by yaml_org_handler().

static double S_one | ( | void |  | ) |

static

Definition at line 64 of file rubyext.c.

Referenced by S_inf().

static double S_zero | ( | void |  | ) |

static

Definition at line 63 of file rubyext.c.

Referenced by S_inf(), and S_nan().

VALUE syck_badalias_cmp | ( | VALUE | alias1,
|  | VALUE | alias2
| ) |  |

Definition at line 1351 of file rubyext.c.

References rb_funcall(), rb_ivar_get(), s_cmp, and s_name.

Referenced by Init_syck().

VALUE syck_badalias_initialize | ( | VALUE | self,
|  | VALUE | val
| ) |  |

Definition at line 1341 of file rubyext.c.

References rb_iv_set().

Referenced by Init_syck().

VALUE syck_const_find | ( | VALUE | const_name | ) |

Definition at line 1062 of file rubyext.c.

References i, Qnil, RARRAY_LEN, rb_ary_entry(), rb_cObject, rb_const_defined(), rb_const_get(), rb_str_split(), and rb_to_id().

Referenced by syck_resolver_transfer().

VALUE syck_defaultresolver_detect_implicit | ( | VALUE | self,
|  | VALUE | val
| ) |  |

Definition at line 1228 of file rubyext.c.

References NIL_P, rb_check_string_type(), rb_str_new2(), RSTRING_LEN, RSTRING_PTR, and syck_match_implicit().

Referenced by Init_syck().

VALUE syck_defaultresolver_node_import | ( | VALUE | self,
|  | VALUE | node
| ) |  |

Definition at line 1247 of file rubyext.c.

References Data_Get_Struct, rb_funcall(), rb_str_new2(), s_transfer, _syck_node::type_id, and yaml_org_handler().

Referenced by Init_syck().

VALUE syck_domaintype_initialize | ( | VALUE | self,
|  | VALUE | domain,
|  | VALUE | type_id,
|  | VALUE | val
| ) |  |

Definition at line 1363 of file rubyext.c.

References rb_iv_set().

Referenced by Init_syck().

VALUE syck_emitter_emit | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

Definition at line 2001 of file rubyext.c.

References _syck_emitter::bonus, emitter_xtra::data, Data_Get_Struct, FIX2INT, if(), INT2FIX, NIL_P, emitter_xtra::oid, emitter_xtra::port, rb_funcall(), rb_hash_aref(), rb_ivar_get(), rb_ivar_set(), rb_scan_args(), RTEST, s_call, s_haskey, s_level, s_out, syck_emit(), syck_emitter_flush(), syck_emitter_mark_node(), and SYMID.

Referenced by Init_syck().

VALUE syck_emitter_node_export | ( | VALUE | self,
|  | VALUE | node
| ) |  |

Definition at line 2041 of file rubyext.c.

References rb_funcall(), and s_to_yaml.

Referenced by Init_syck().

VALUE syck_emitter_reset | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

Definition at line 1959 of file rubyext.c.

References _syck_emitter::bonus, Check_Type, emitter_xtra::data, Data_Get_Struct, _syck_emitter::headless, id_hash_new(), INT2FIX, NIL_P, emitter_xtra::oid, options(), emitter_xtra::port, Qnil, rb_check_string_type(), rb_hash_new(), rb_ivar_set(), rb_respond_to(), rb_scan_args(), rb_str_new2(), s_level, s_options, s_resolver, s_write, and T_HASH.

Referenced by Init_syck().

VALUE syck_emitter_s_alloc | ( | VALUE | class | ) |

Definition at line 1930 of file rubyext.c.

References _syck_emitter::bonus, cOut, Data_Wrap_Struct, rb_funcall(), rb_ivar_set(), rb_syck_emitter_handler(), rb_syck_free_emitter(), rb_syck_output_handler(), S_ALLOC, S_MEMZERO, s_new, s_out, syck_emitter_handler(), syck_mark_emitter(), syck_new_emitter(), and syck_output_handler().

Referenced by Init_syck().

VALUE syck_emitter_set_resolver | ( | VALUE | self,
|  | VALUE | resolver
| ) |  |

Definition at line 2050 of file rubyext.c.

References rb_ivar_set(), and s_resolver.

Referenced by Init_syck().

VALUE syck_genericresolver_node_import | ( | VALUE | self,
|  | VALUE | node
| ) |  |

Definition at line 1263 of file rubyext.c.

References cMap, cScalar, cSeq, _syck_node::data, Data_Get_Struct, i, _syck_node::kind, _syck_node::list, map_inline, map_key, map_value, NULL, _syck_node::pairs, Qnil, rb_ary_new2(), rb_ary_store(), rb_enc_associate(), rb_funcall(), rb_hash_aset(), rb_hash_new(), rb_iv_set(), rb_str_new(), rb_str_new2(), rb_utf8_encoding(), s_new, scalar_1quote, scalar_2quote, scalar_fold, scalar_literal, scalar_plain, seq_inline, _syck_node::str, syck_map_count(), syck_map_kind, syck_map_read(), syck_seq_count(), syck_seq_kind, syck_seq_read(), syck_str_kind, sym_1quote, sym_2quote, sym_fold, sym_inline, sym_literal, sym_map, sym_plain, sym_seq, _syck_node::type_id, and v.

Referenced by Init_syck().

VALUE syck_get_hash_aref | ( | VALUE | hsh,
|  | VALUE | key
| ) |  |

Definition at line 196 of file rubyext.c.

References NIL_P, rb_hash_aref(), rb_hash_aset(), and rb_hash_new().

VALUE syck_map_add_m | ( | VALUE | self,
|  | VALUE | key,
|  | VALUE | val
| ) |  |

Definition at line 1687 of file rubyext.c.

References Data_Get_Struct, rb_funcall(), rb_hash_aset(), rb_ivar_get(), rb_respond_to(), s_emitter, s_node_export, s_value, and syck_map_add().

Referenced by Init_syck().

VALUE syck_map_alloc | ( | VALUE | class | ) |

Definition at line 1607 of file rubyext.c.

References Data_Wrap_Struct, _syck_node::id, syck_alloc_map(), syck_free_node(), and syck_node_mark().

Referenced by Init_syck().

VALUE syck_map_initialize | ( | VALUE | self,
|  | VALUE | type_id,
|  | VALUE | val,
|  | VALUE | style
| ) |  |

Definition at line 1621 of file rubyext.c.

References Data_Get_Struct, i, NIL_P, RARRAY_LEN, rb_ary_entry(), rb_check_convert_type(), rb_eTypeError, rb_funcall(), rb_hash_aref(), rb_iv_set(), rb_raise(), s_keys, s_style_set, s_type_id_set, s_value_set, syck_map_add(), sym_seq, and T_HASH.

Referenced by Init_syck().

VALUE syck_map_style_set | ( | VALUE | self,
|  | VALUE | style
| ) |  |

Definition at line 1707 of file rubyext.c.

References _syck_node::data, Data_Get_Struct, map_inline, map_none, _syck_node::pairs, rb_iv_set(), and sym_inline.

Referenced by Init_syck().

VALUE syck_map_value_set | ( | VALUE | self,
|  | VALUE | val
| ) |  |

Definition at line 1655 of file rubyext.c.

References Data_Get_Struct, i, NIL_P, RARRAY_LEN, rb_ary_entry(), rb_check_convert_type(), rb_eTypeError, rb_funcall(), rb_hash_aref(), rb_iv_set(), rb_raise(), s_keys, syck_map_add(), syck_map_empty(), and T_HASH.

Referenced by Init_syck().

static void syck_mark_emitter | ( | SyckEmitter * | emitter | ) |

static

Definition at line 1907 of file rubyext.c.

References _syck_emitter::bonus, emitter_xtra::data, emitter_xtra::oid, emitter_xtra::port, and rb_gc_mark().

Referenced by syck_emitter_s_alloc().

static void syck_mark_parser | ( | SyckParser * | parser | ) |

static

Definition at line 746 of file rubyext.c.

References _syck_parser::anchors, _syck_parser::bad_anchors, _syck_parser::bonus, parser_xtra::data, NULL, parser_xtra::proc, rb_gc_mark(), rb_gc_mark_maybe(), parser_xtra::resolver, _syck_parser::root, _syck_parser::root_on_error, st_foreach, and syck_st_mark_nodes().

Referenced by syck_parser_s_alloc().

VALUE syck_merge_i | ( | VALUE | entry,
|  | VALUE | hsh
| ) |  |

Definition at line 354 of file rubyext.c.

References NIL_P, Qnil, rb_check_convert_type(), rb_funcall(), s_update, and T_HASH.

Referenced by syck_resolver_node_import(), and yaml_org_handler().

static void syck_node_mark | ( | SyckNode * | n | ) |

static

Definition at line 1397 of file rubyext.c.

References _syck_node::data, i, _syck_node::id, _syck_node::kind, _syck_node::list, map_key, map_value, _syck_node::pairs, rb_gc_mark(), rb_gc_mark_maybe(), _syck_node::shortcut, syck_map_kind, syck_map_read(), syck_seq_kind, syck_seq_read(), and syck_str_kind.

Referenced by syck_map_alloc(), syck_node_transform(), syck_scalar_alloc(), syck_seq_alloc(), and syck_st_mark_nodes().

VALUE syck_node_transform | ( | VALUE | self | ) |

static

Definition at line 1774 of file rubyext.c.

References _syck_node::anchor, cNode, _syck_node::data, Data_Get_Struct, DATA_PTR, Data_Wrap_Struct, i, _syck_node::id, _syck_node::kind, _syck_node::list, map_key, map_value, NULL, oDefaultResolver, _syck_node::pairs, rb_funcall(), s_node_import, s_transform, _syck_node::str, strlen(), syck_alloc_map(), syck_alloc_seq(), syck_free_node(), syck_map_add(), syck_map_kind, syck_map_read(), syck_new_str2(), syck_node_mark(), syck_seq_add(), syck_seq_kind, syck_seq_read(), syck_str_kind, syck_strndup(), and _syck_node::type_id.

Referenced by Init_syck().

VALUE syck_node_type_id_set | ( | VALUE | self,
|  | VALUE | type_id
| ) |  |

Definition at line 1754 of file rubyext.c.

References Data_Get_Struct, NIL_P, rb_iv_set(), RSTRING_LEN, RSTRING_PTR, S_FREE, StringValue, syck_strndup(), and _syck_node::type_id.

Referenced by Init_syck().

VALUE syck_out_initialize | ( | VALUE | self,
|  | VALUE | emitter
| ) |  |

Definition at line 2060 of file rubyext.c.

References rb_ivar_set(), and s_emitter.

Referenced by Init_syck().

VALUE syck_out_map | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

Definition at line 2070 of file rubyext.c.

References cMap, Qnil, rb_funcall(), rb_hash_new(), rb_ivar_get(), rb_scan_args(), rb_yield(), s_emitter, s_new, and syck_out_mark().

Referenced by Init_syck().

void syck_out_mark | ( | VALUE | emitter,
|  | VALUE | node
| ) |  |

Definition at line 1890 of file rubyext.c.

References _syck_emitter::bonus, emitter_xtra::data, Data_Get_Struct, NIL_P, emitter_xtra::oid, rb_hash_aset(), rb_ivar_set(), and s_emitter.

Referenced by syck_out_map(), syck_out_scalar(), and syck_out_seq().

VALUE syck_out_scalar | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

Definition at line 2104 of file rubyext.c.

References cScalar, rb_funcall(), rb_ivar_get(), rb_scan_args(), s_emitter, s_new, scalar(), and syck_out_mark().

Referenced by Init_syck().

VALUE syck_out_seq | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

Definition at line 2086 of file rubyext.c.

References cSeq, Qnil, rb_ary_new(), rb_funcall(), rb_ivar_get(), rb_scan_args(), rb_yield(), s_emitter, s_new, and syck_out_mark().

Referenced by Init_syck().

int syck_parser_assign_io | ( | SyckParser * | parser,
|  | VALUE * | pport
| ) |  |

Definition at line 170 of file rubyext.c.

References NIL_P, NULL, OBJ_TAINTED, Qtrue, rb_check_string_type(), rb_eTypeError, rb_funcall2(), rb_raise(), rb_respond_to(), rb_syck_io_str_read(), RSTRING_LEN, RSTRING_PTR, s_binmode, s_read, and syck_parser_str().

Referenced by rb_syck_compile(), syck_parser_load(), and syck_parser_load_documents().

static VALUE syck_parser_bufsize_get | ( | VALUE | self | ) |

static

Definition at line 835 of file rubyext.c.

References _syck_parser::bufsize, Data_Get_Struct, and INT2FIX.

Referenced by Init_syck().

static VALUE syck_parser_bufsize_set | ( | VALUE | self,
|  | VALUE | size
| ) |  |

static

Definition at line 819 of file rubyext.c.

References _syck_parser::bufsize, Data_Get_Struct, NUM2INT, rb_funcall(), rb_respond_to(), and s_to_i.

Referenced by Init_syck().

static VALUE syck_parser_initialize | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 799 of file rubyext.c.

References Check_Type, options(), Qnil, rb_hash_new(), rb_ivar_set(), rb_scan_args(), s_input, s_options, and T_HASH.

Referenced by Init_syck().

VALUE syck_parser_load | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

Definition at line 847 of file rubyext.c.

References _syck_parser::bonus, parser_xtra::data, Data_Get_Struct, input, NIL_P, parser_xtra::proc, rb_attr_get(), rb_hash_aref(), rb_hash_new(), rb_scan_args(), parser_xtra::resolver, s_options, s_resolver, syck_parse(), syck_parser_assign_io(), syck_set_model(), sym_input, sym_model, and parser_xtra::taint.

Referenced by Init_syck().

VALUE syck_parser_load_documents | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

Definition at line 874 of file rubyext.c.

References _syck_parser::bonus, parser_xtra::data, Data_Get_Struct, _syck_parser::eof, input, parser_xtra::proc, Qnil, rb_attr_get(), rb_funcall(), rb_hash_aref(), rb_hash_new(), rb_scan_args(), parser_xtra::resolver, s_call, s_options, s_resolver, syck_parse(), syck_parser_assign_io(), syck_set_model(), sym_input, sym_model, parser_xtra::taint, and v.

Referenced by Init_syck().

VALUE syck_parser_s_alloc | ( | VALUE | class | ) |

Definition at line 780 of file rubyext.c.

References _syck_parser::bonus, Data_Wrap_Struct, Qnil, rb_syck_free_parser(), S_ALLOC, S_MEMZERO, syck_mark_parser(), syck_new_parser(), and syck_parser_set_root_on_error().

Referenced by Init_syck().

VALUE syck_parser_set_resolver | ( | VALUE | self,
|  | VALUE | resolver
| ) |  |

Definition at line 915 of file rubyext.c.

References rb_ivar_set(), and s_resolver.

Referenced by Init_syck().

VALUE syck_privatetype_initialize | ( | VALUE | self,
|  | VALUE | type_id,
|  | VALUE | val
| ) |  |

Definition at line 1386 of file rubyext.c.

References rb_iv_set().

Referenced by Init_syck().

VALUE syck_resolver_add_type | ( | VALUE | self,
|  | VALUE | taguri,
|  | VALUE | cls
| ) |  |

Definition at line 935 of file rubyext.c.

References Qnil, rb_attr_get(), rb_hash_aset(), and s_tags.

Referenced by Init_syck().

VALUE syck_resolver_detect_implicit | ( | VALUE | self,
|  | VALUE | val
| ) |  |

Definition at line 956 of file rubyext.c.

References rb_str_new2().

Referenced by Init_syck().

static VALUE syck_resolver_initialize | ( | VALUE | self | ) |

static

Definition at line 925 of file rubyext.c.

References rb_hash_new(), rb_ivar_set(), and s_tags.

Referenced by Init_syck().

VALUE syck_resolver_node_import | ( | VALUE | self,
|  | VALUE | node
| ) |  |

Definition at line 965 of file rubyext.c.

References cDefaultKey, cMergeKey, _syck_node::data, Data_Get_Struct, i, _syck_node::kind, _syck_node::list, map_key, map_value, NULL, _syck_node::pairs, Qnil, rb_ary_new2(), rb_ary_pop(), rb_ary_push(), rb_ary_reverse(), rb_ary_store(), rb_block_call, rb_cArray, rb_cHash, rb_funcall(), rb_hash_aset(), rb_hash_new(), rb_obj_is_kind_of(), rb_str_new(), rb_str_new2(), s_default_set, s_dup, s_each, s_transfer, s_update, _syck_node::str, syck_map_kind, syck_map_read(), syck_merge_i(), syck_seq_kind, syck_seq_read(), syck_str_kind, _syck_node::type_id, and v.

Referenced by Init_syck().

VALUE syck_resolver_tagurize | ( | VALUE | self,
|  | VALUE | val
| ) |  |

Definition at line 1210 of file rubyext.c.

References NIL_P, rb_check_string_type(), rb_str_new2(), RSTRING_PTR, S_FREE, and syck_type_id_to_uri().

Referenced by Init_syck().

VALUE syck_resolver_transfer | ( | VALUE | self,
|  | VALUE | type,
|  | VALUE | val
| ) |  |

Definition at line 1079 of file rubyext.c.

References cDomainType, cPrivateType, cYObject, name, NIL_P, Qnil, RARRAY_LEN, rb_ary_join(), rb_ary_new(), rb_ary_pop(), rb_ary_shift(), rb_ary_unshift(), rb_attr_get(), rb_block_call, rb_cBignum, rb_cHash, rb_cObject, rb_eTypeError, rb_funcall(), rb_hash_aref(), rb_obj_alloc(), rb_obj_is_instance_of(), rb_raise(), rb_respond_to(), rb_str2inum(), rb_str_append(), rb_str_cmp(), rb_str_new2(), rb_str_split(), RSTRING_LEN, RTEST, s_call, s_detect_implicit, s_each, s_new, s_tag_read_class, s_tag_subclasses, s_tags, s_yaml_initialize, s_yaml_new, StringValue, syck_const_find(), and syck_set_ivars().

Referenced by Init_syck().

VALUE syck_resolver_use_types_at | ( | VALUE | self,
|  | VALUE | hsh
| ) |  |

Definition at line 946 of file rubyext.c.

References Qnil, rb_ivar_set(), and s_tags.

Referenced by Init_syck().

VALUE syck_scalar_alloc | ( | VALUE | class | ) |

Definition at line 1432 of file rubyext.c.

References Data_Wrap_Struct, _syck_node::id, syck_alloc_str(), syck_free_node(), and syck_node_mark().

Referenced by Init_syck().

VALUE syck_scalar_initialize | ( | VALUE | self,
|  | VALUE | type_id,
|  | VALUE | val,
|  | VALUE | style
| ) |  |

Definition at line 1444 of file rubyext.c.

References rb_funcall(), rb_iv_set(), s_style_set, s_type_id_set, s_value_set, and sym_scalar.

Referenced by Init_syck().

VALUE syck_scalar_style_set | ( | VALUE | self,
|  | VALUE | style
| ) |  |

Definition at line 1457 of file rubyext.c.

References _syck_node::data, Data_Get_Struct, NIL_P, rb_iv_set(), scalar_1quote, scalar_2quote, scalar_fold, scalar_literal, scalar_none, scalar_plain, _syck_node::str, sym_1quote, sym_2quote, sym_fold, sym_literal, and sym_plain.

Referenced by Init_syck().

VALUE syck_scalar_value_set | ( | VALUE | self,
|  | VALUE | val
| ) |  |

Definition at line 1495 of file rubyext.c.

References _syck_node::data, Data_Get_Struct, rb_iv_set(), RSTRING_LEN, RSTRING_PTR, scalar_none, _syck_node::str, StringValue, and syck_strndup().

Referenced by Init_syck().

VALUE syck_seq_add_m | ( | VALUE | self,
|  | VALUE | val
| ) |  |

Definition at line 1566 of file rubyext.c.

References Data_Get_Struct, rb_ary_push(), rb_funcall(), rb_ivar_get(), rb_respond_to(), s_emitter, s_node_export, s_value, and syck_seq_add().

Referenced by Init_syck().

VALUE syck_seq_alloc | ( | VALUE | class | ) |

Definition at line 1513 of file rubyext.c.

References Data_Wrap_Struct, _syck_node::id, syck_alloc_seq(), syck_free_node(), and syck_node_mark().

Referenced by Init_syck().

VALUE syck_seq_initialize | ( | VALUE | self,
|  | VALUE | type_id,
|  | VALUE | val,
|  | VALUE | style
| ) |  |

Definition at line 1527 of file rubyext.c.

References Data_Get_Struct, rb_funcall(), rb_iv_set(), s_style_set, s_type_id_set, s_value_set, and sym_seq.

Referenced by Init_syck().

VALUE syck_seq_style_set | ( | VALUE | self,
|  | VALUE | style
| ) |  |

Definition at line 1585 of file rubyext.c.

References _syck_node::data, Data_Get_Struct, _syck_node::list, rb_iv_set(), seq_inline, seq_none, and sym_inline.

Referenced by Init_syck().

VALUE syck_seq_value_set | ( | VALUE | self,
|  | VALUE | val
| ) |  |

Definition at line 1543 of file rubyext.c.

References Data_Get_Struct, i, NIL_P, RARRAY_LEN, rb_ary_entry(), rb_check_array_type(), rb_iv_set(), syck_seq_add(), and syck_seq_empty().

Referenced by Init_syck().

VALUE syck_set_ivars | ( | VALUE | vars,
|  | VALUE | obj
| ) |  |

Definition at line 1045 of file rubyext.c.

References Qnil, rb_ary_entry(), rb_iv_set(), RSTRING_LEN, RSTRING_PTR, S_ALLOCA_N, and StringValue.

Referenced by syck_resolver_transfer().

void syck_set_model | ( | VALUE | p,
|  | VALUE | input,
|  | VALUE | model
| ) |  |

Definition at line 706 of file rubyext.c.

References Data_Get_Struct, NIL_P, oGenericResolver, rb_funcall(), rb_ivar_get(), rb_syck_bad_anchor_handler(), rb_syck_err_handler(), rb_syck_load_handler(), s_input, s_set_resolver, syck_bytecode_utf8, syck_parser_bad_anchor_handler(), syck_parser_error_handler(), syck_parser_handler(), syck_parser_implicit_typing(), syck_parser_set_input_type(), syck_parser_taguri_expansion(), syck_yaml_utf8, sym_bytecode, and sym_generic.

Referenced by syck_parser_load(), and syck_parser_load_documents().

static int syck_st_mark_nodes | ( | char * | key,
|  | SyckNode * | n,
|  | char * | arg
| ) |  |

static

Definition at line 736 of file rubyext.c.

References ST_CONTINUE, and syck_node_mark().

Referenced by syck_mark_parser().

VALUE syck_yobject_initialize | ( | VALUE | self,
|  | VALUE | klass,
|  | VALUE | ivars
| ) |  |

Definition at line 1375 of file rubyext.c.

References rb_iv_set().

Referenced by Init_syck().

int yaml_org_handler | ( | SyckNode * | n,
|  | VALUE * | ref
| ) |  |

Definition at line 369 of file rubyext.c.

References cDate, cDefaultKey, cMergeKey, _syck_node::data, i, INT2FIX, ISDIGIT, _syck_node::kind, _syck_node::list, map_key, map_value, NIL_P, NULL, oDefaultResolver, _syck_node::pairs, Qfalse, Qnil, Qtrue, rb_ary_new2(), rb_ary_pop(), rb_ary_push(), rb_ary_reverse(), rb_ary_shift(), rb_ary_store(), rb_block_call, rb_check_array_type(), rb_check_convert_type(), rb_cObject, rb_const_get(), rb_cstr2inum(), rb_enc_associate(), rb_float_new(), rb_funcall(), rb_hash_aset(), rb_hash_new(), rb_intern, rb_obj_is_kind_of(), rb_require(), rb_str_new(), rb_str_new2(), rb_syck_mktime(), rb_utf8_encoding(), s_default_set, s_dup, s_each, S_inf(), S_nan(), s_new, s_tr_bang, s_transfer, s_unpack, s_update, scalar_plain, _syck_node::str, strtod, strtol(), syck_map_kind, syck_map_read(), syck_merge_i(), syck_seq_kind, syck_seq_read(), syck_str_blow_away_commas(), syck_str_kind, T_HASH, _syck_node::type_id, and v.

Referenced by syck_defaultresolver_node_import().

## Variable Documentation

VALUE cBadAlias

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck().

VALUE cDate

static

Definition at line 57 of file rubyext.c.

Referenced by yaml_org_handler().

VALUE cDateTime

static

Definition at line 57 of file rubyext.c.

Referenced by mktime_r().

VALUE cDefaultKey

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), syck_resolver_node_import(), and yaml_org_handler().

VALUE cDomainType

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), and syck_resolver_transfer().

VALUE cEmitter

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck().

VALUE cMap

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), and syck_out_map().

VALUE cMergeKey

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), syck_resolver_node_import(), and yaml_org_handler().

VALUE cNode

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), rb_syck_load_handler(), and syck_node_transform().

VALUE cOut

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), and syck_emitter_s_alloc().

VALUE cParser

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck().

VALUE cPrivateType

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), and syck_resolver_transfer().

VALUE cResolver

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck().

VALUE cScalar

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), and syck_out_scalar().

VALUE cSeq

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), and syck_out_seq().

VALUE cYObject

static

Definition at line 57 of file rubyext.c.

Referenced by Init_syck(), and syck_resolver_transfer().

VALUE oDefaultResolver

static

Definition at line 58 of file rubyext.c.

Referenced by Init_syck(), rb_syck_load_handler(), syck_node_transform(), and yaml_org_handler().

VALUE oGenericResolver

static

Definition at line 58 of file rubyext.c.

Referenced by Init_syck(), and syck_set_model().

ID s_at

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and mktime_do().

ID s_binmode

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_parser_assign_io().

ID s_call

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), rb_syck_load_handler(), syck_emitter_emit(), syck_parser_load_documents(), and syck_resolver_transfer().

ID s_cmp

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_badalias_cmp().

ID s_default_set

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_resolver_node_import(), and yaml_org_handler().

ID s_detect_implicit

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_resolver_transfer().

ID s_dup

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_resolver_node_import(), and yaml_org_handler().

ID s_each

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_resolver_node_import(), syck_resolver_transfer(), and yaml_org_handler().

ID s_emitter

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_map_add_m(), syck_out_initialize(), syck_out_map(), syck_out_mark(), syck_out_scalar(), syck_out_seq(), and syck_seq_add_m().

ID s_haskey

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_emitter_emit().

ID s_input

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_parser_initialize(), and syck_set_model().

ID s_intern

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck().

ID s_keys

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_map_initialize(), and syck_map_value_set().

ID s_kind

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck().

ID s_level

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_emitter_emit(), and syck_emitter_reset().

ID s_match

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck().

ID s_name

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck(), and syck_badalias_cmp().

ID s_new

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_emitter_s_alloc(), syck_genericresolver_node_import(), syck_out_map(), syck_out_scalar(), syck_out_seq(), syck_resolver_transfer(), and yaml_org_handler().

ID s_node_export

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_map_add_m(), and syck_seq_add_m().

ID s_node_import

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), rb_syck_load_handler(), and syck_node_transform().

ID s_options

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck(), syck_emitter_reset(), syck_parser_initialize(), syck_parser_load(), and syck_parser_load_documents().

ID s_out

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_emitter_emit(), and syck_emitter_s_alloc().

ID s_parse

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck(), and mktime_r().

ID s_push

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck().

ID s_read

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), rb_syck_io_str_read(), and syck_parser_assign_io().

ID s_resolver

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_emitter_reset(), syck_emitter_set_resolver(), syck_parser_load(), syck_parser_load_documents(), and syck_parser_set_resolver().

ID s_set_resolver

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_set_model().

ID s_style

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck().

ID s_style_set

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck(), syck_map_initialize(), syck_scalar_initialize(), and syck_seq_initialize().

ID s_tag_read_class

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_resolver_transfer().

ID s_tag_subclasses

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_resolver_transfer().

ID s_tags

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck(), syck_resolver_add_type(), syck_resolver_initialize(), syck_resolver_transfer(), and syck_resolver_use_types_at().

ID s_to_f

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck().

ID s_to_i

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), mktime_do(), and syck_parser_bufsize_set().

ID s_to_yaml

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_emitter_node_export().

ID s_tr_bang

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and yaml_org_handler().

ID s_transfer

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_defaultresolver_node_import(), syck_resolver_node_import(), and yaml_org_handler().

ID s_transform

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_node_transform().

ID s_type_id

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck().

ID s_type_id_set

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck(), syck_map_initialize(), syck_scalar_initialize(), and syck_seq_initialize().

ID s_unpack

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and yaml_org_handler().

ID s_update

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), syck_merge_i(), syck_resolver_node_import(), and yaml_org_handler().

ID s_utc

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and mktime_do().

ID s_value

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck(), syck_map_add_m(), and syck_seq_add_m().

ID s_value_set

static

Definition at line 53 of file rubyext.c.

Referenced by Init_syck(), syck_map_initialize(), syck_scalar_initialize(), and syck_seq_initialize().

ID s_write

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_emitter_reset().

ID s_yaml_initialize

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_resolver_transfer().

ID s_yaml_new

static

Definition at line 52 of file rubyext.c.

Referenced by Init_syck(), and syck_resolver_transfer().

VALUE sym_1quote

static

Definition at line 56 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), and syck_scalar_style_set().

VALUE sym_2quote

static

Definition at line 56 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), and syck_scalar_style_set().

VALUE sym_bytecode

static

Definition at line 54 of file rubyext.c.

Referenced by Init_syck(), and syck_set_model().

VALUE sym_fold

static

Definition at line 56 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), and syck_scalar_style_set().

VALUE sym_generic

static

Definition at line 54 of file rubyext.c.

Referenced by Init_syck(), and syck_set_model().

VALUE sym_inline

static

Definition at line 56 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), syck_map_style_set(), and syck_seq_style_set().

VALUE sym_input

static

Definition at line 54 of file rubyext.c.

Referenced by syck_parser_load(), and syck_parser_load_documents().

VALUE sym_literal

static

Definition at line 56 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), and syck_scalar_style_set().

VALUE sym_map

static

Definition at line 55 of file rubyext.c.

Referenced by Init_syck(), and syck_genericresolver_node_import().

VALUE sym_model

static

Definition at line 54 of file rubyext.c.

Referenced by Init_syck(), syck_parser_load(), and syck_parser_load_documents().

VALUE sym_plain

static

Definition at line 56 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), and syck_scalar_style_set().

VALUE sym_scalar

static

Definition at line 55 of file rubyext.c.

Referenced by Init_syck(), and syck_scalar_initialize().

VALUE sym_seq

static

Definition at line 55 of file rubyext.c.

Referenced by Init_syck(), syck_genericresolver_node_import(), syck_map_initialize(), and syck_seq_initialize().